您尚未登录。

#1 2015-01-08 20:18:11

wtry
会员
注册时间: 2011-08-20
帖子: 56

这是为什么!!!!!!!

[arch@Arch tp_smapi-ck]$ yaourt -U tp_smapi-ck-0.41-44-x86_64.pkg.tar.xz
正在加载软件包...
正在解决依赖关系...
正在查找软件包冲突...

软件包 (1) tp_smapi-ck-0.41-44

全部安装大小:  0.03 MiB

:: 进行安装吗? [Y/n] y
(1/1) 正在检查密钥环里的密钥                                                                                        [######################################################################] 100%
(1/1) 正在检查软件包完整性                                                                                          [######################################################################] 100%
(1/1) 正在加载软件包文件                                                                                            [######################################################################] 100%
(1/1) 正在检查文件冲突                                                                                              [######################################################################] 100%
错误:无法提交处理 (有冲突的文件)
tp_smapi-ck: 文件系统中已存在 /lib
发生错误,没有软件包被更新。

geany-1.24.1-1-x86_64                                                                        2.7 MiB   417K/s 00:07 [######################################################################] 100%
(1/1) 正在检查密钥环里的密钥                                                                                         [######################################################################] 100%
(1/1) 正在检查软件包完整性                                                                                           [######################################################################] 100%
(1/1) 正在加载软件包文件                                                                                             [######################################################################] 100%
(1/1) 正在检查文件冲突                                                                                               [######################################################################] 100%
(1/1) 正在检查可用硬盘空间                                                                                           [######################################################################] 100%
(1/1) 正在重新安装 geany                                                                                             [######################################################################] 100%
错误:command terminated by signal 11: 段错误


上面的错误偶尔出现,有些包会有

下面的错误每个包都有
用yaourt有这个错误
pacman也有这个错误

实在找不到什么地方有问题呀,更别说解决问题了!

离线

#2 2015-01-09 12:08:54

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,388
个人网站

Re: 这是为什么!!!!!!!

没改过的话 coredumpctl 应该会列出来出问题的程序。然后拿 coredumpctl gdb 连上去,bt 看看。

PS: 帖子标题写清楚问题啊。

离线

#3 2015-01-09 13:45:36

wtry
会员
注册时间: 2011-08-20
帖子: 56

Re: 这是为什么!!!!!!!

百合仙子 说:

没改过的话 coredumpctl 应该会列出来出问题的程序。然后拿 coredumpctl gdb 连上去,bt 看看。

PS: 帖子标题写清楚问题啊。


问题找不出来!只有这个提示!

错误提示都没有

[arch@Arch ~]$ coredumpctl
No coredumps found.

离线

#4 2015-01-09 13:56:10

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,388
个人网站

Re: 这是为什么!!!!!!!

那你 ulimit -c unlimited 之后再执行,当前目录(或者别的某个地方,比如 /)应该会生成  core 文件。
另外,你用 sudo coredumpctl 试试。

离线

页脚